Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 632660 - sci-libs/gdal[ogdi]: /usr/include/ecs.h:9:21: fatal error: rpc/rpc.h: No such file or directory (with >=sys-libs/glibc-2.26)
Summary: sci-libs/gdal[ogdi]: /usr/include/ecs.h:9:21: fatal error: rpc/rpc.h: No such...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords:
: 639234 (view as bug list)
Depends on:
Blocks: glibc-rpc glibc-2.26-stable
  Show dependency tree
 
Reported: 2017-10-01 22:40 UTC by CaptainBlood
Modified: 2018-04-22 14:43 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (xz-compressed) (build.log.xz,34.69 KB, application/x-xz)
2017-11-14 23:01 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description CaptainBlood 2017-10-01 22:40:41 UTC
seems like gdal hits https://bugs.gentoo.org/631488 with >=glibc-2.26.
comment #1 workaround works.
Comment 1 Sergei Trofimovich gentoo-dev 2017-10-01 23:01:53 UTC
Can you provide full build.log in attach?
Comment 2 Andreas K. Hüttel gentoo-dev 2017-10-31 22:47:50 UTC
I can't reproduce this. Without a log there is nothing we can do.
Comment 3 Dennis Schridde 2017-11-14 23:01:13 UTC
Created attachment 504264 [details]
build.log (xz-compressed)

I run into the same issue.  Please find the build.log attached.  If you need additional information, please do not hesitate to ask.

Portage 2.3.14 (python 2.7.13-final-42, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-6.4.0, glibc-2.26-r3, 4.13.10-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.13.10-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.4.1
KiB Mem:    15384872 total,    207304 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 14 Nov 2017 07:45:01 +0000
Head commit of repository gentoo: 6be4332d25f86c34ff0eeded1a0b8a81bc2a407f
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p2) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r100::sage-on-gentoo, 3.4.6-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

flatpak-overlay
    location: /var/lib/layman/flatpak-overlay
    sync-type: laymansync
    sync-uri: git://github.com/fosero/flatpak-overlay.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: https://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner --verbose-conflicts"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi activities alsa amd64 appindicator appstream archive audit avahi bash-completion bdplus berkdb bluetooth bluray branding bs2b bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli colord colorio conntrack cracklib crypt cups cxx d3d9 dbus declarative dirac djvu dri dts dvb dvd dvdr egl emboss encode epub exif fam fax fbcon ffmpeg fftw firefox fish-completion fits flac fontconfig fortran fribidi gdbm geoclue geolocation gif git glamor gles gmp google googledrive gpm gps graphicsmagick gstreamer gtk gtk3 harfbuzz hdf5 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k kde kipi kwallet ladspa latex lcms ldap libidn2 libinput libnotify libproxy libsecret libsoxr lv2 lz4 lzma lzo mad mercurial metis mjpeg mng mobi modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib mysql ncurses netlink networkmanager nls nptl office ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf phonon plasma png policykit postscript ppds prison pulseaudio python qml qt3support qt4 qt5 raw readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session sparse speech speex spell ssl startup-notification svg systemd tbb tcpd teamd telepathy tga theora threads tiff timezone truetype tslib udev udisks unicode unwind upnp upnp-av upower usb v4l v4l2 vaapi vdpau vorbis vpx vulkan wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_EXPERIMENTAL_FEATURES="stage" CALLIGRA_FEATURES="words sheets karbon plan" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa tr" LIRC_DEVICES="devinput" LUA_TARGET="lua5-2" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5 pypy pypy3" RUBY_TARGETS="ruby22" STEAMGAMES="dirt_rally dont_starve portal source_engine te120 trine2 witcher2" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sci-libs/gdal-2.2.2::local was built with the following:
USE="armadillo aux_xml crypto fits geos gif gml gnm hdf5 jasper java jpeg jpeg2k mysql ogdi opencl png podofo poppler python spatialite sqlite threads webp -curl -debug -doc -lto -mdb -mongodb -netcdf -odbc -oracle -perl -postgres -xls" ABI_X86="(64)" PYTHON_TARGETS="python2_7 python3_4 python3_5"


sys-libs/glibc-2.26-r3::gentoo was built with the following:
USE="audit caps (multilib) nscd -debug -gd (-hardened) -profile (-selinux) -suid -systemtap (-vanilla)" ABI_X86="(64)"
CFLAGS="-pipe -march=bdver3 -O2 -fno-strict-aliasing"
CXXFLAGS="-pipe -march=bdver3 -O2 -fno-strict-aliasing"


net-libs/libtirpc-1.0.2-r1::gentoo was built with the following:
USE="ipv6 -kerberos -static-libs" ABI_X86="32 (64) (-x32)"
Comment 4 Dennis Schridde 2017-11-28 23:56:47 UTC
This is actually a bug in sci-libs/ogdi-3.2.0_beta2, summary should contain "sci-libs/gdal[ogdi]".

A fix is available at: https://github.com/libogdi/ogdi/pull/4

Since ogdi does not install the ogdi-config script and neither the pkg-config file (they are build, but not installed), we need some append-c(xx)flags hack to set the correct include path. At least, with the fixed ogdi, the ogdi library is linked against libtirpc, so we do not need to hack that.

Fixed in: https://github.com/devurandom/gentoo-overlay/commit/f7b99a1a865a60a78e7b203f36fc0cd196697c12
This also needs: https://github.com/devurandom/gentoo-overlay/commit/50c541d78cb02fc2aa7178935fd90a544a9a44f5
Comment 5 Tomáš Mózes 2017-11-30 00:48:15 UTC
*** Bug 639234 has been marked as a duplicate of this bug. ***
Comment 6 Dennis Schridde 2017-11-30 07:34:58 UTC
See-Also: https://bugs.gentoo.org/371389
See-Also: https://bugs.gentoo.org/632265
See-Also: https://bugs.gentoo.org/639112
Comment 7 Ulenrich 2017-12-23 00:18:06 UTC
Confirming the bug. Solving this by using the nice workaround:

https://github.com/devurandom/gentoo-overlay

has ebuilds compiling! Especially using the 2016 final version of sci-libs/ogdi there in the overlay!
Comment 8 Amy Liffey gentoo-dev 2017-12-23 08:25:52 UTC
(In reply to Ulenrich from comment #7)
> Confirming the bug. Solving this by using the nice workaround:
> 
> https://github.com/devurandom/gentoo-overlay
> 
> has ebuilds compiling! Especially using the 2016 final version of
> sci-libs/ogdi there in the overlay!

Can you please try new version of gdal 2.2.3?

Thank you
Comment 9 Ulenrich 2017-12-23 09:22:30 UTC
Surely I did try the newest version, I totally have an Gentoo~unstable machine:
# eshowkw -O gdal ogdi glibc
Keywords for sci-libs/gdal:
            |                                 |   u       |  
            | a a         p   a     n r     s |   n       |  
            | l m   h i   p   r m m i i s   p | e u s     | r
            | p d a p a p c x m i 6 o s 3   a | a s l     | e
            | h 6 r p 6 p 6 8 6 p 8 s c 9 s r | p e o     | p
            | a 4 m a 4 c 4 6 4 s k 2 v 0 h c | i d t     | o
------------+---------------------------------+-----------+-------
   2.0.2-r3 | o + ~ o o + + + o o o o o o o o | 5 # 0/2   | gentoo
   2.0.3    | o + ~ o ~ + + + ~ o o o o o o o | 6 o       | gentoo
------------+---------------------------------+-----------+-------
   2.2.3    | o ~ ~ o ~ ~ ~ ~ ~ o o o o o o o | 6 # 0/2.2 | gentoo
[I]2.2.3-r1 | o ~ ~ o ~ ~ ~ ~ ~ o o o o o o o | 6 o       | pmaci 
Keywords for sci-libs/ogdi:
               |                                 |   u   |  
               | a a         p   a     n r     s |   n   |  
               | l m   h i   p   r m m i i s   p | e u s | r
               | p d a p a p c x m i 6 o s 3   a | a s l | e
               | h 6 r p 6 p 6 8 6 p 8 s c 9 s r | p e o | p
               | a 4 m a 4 c 4 6 4 s k 2 v 0 h c | i d t | o
---------------+---------------------------------+-------+-------
      3.1.5-r1 | o o o o o o o o o o o o o o o o | 0 # 0 | gentoo
3.2.0_beta2    | + + ~ o ~ + + + ~ o o o o o o o | 5 #   | gentoo
   [I]3.2.0    | + + ~ o ~ + + + ~ o o o o o o o | 6 o   | pmaci 
Keywords for sys-libs/glibc:
            |                                 |   u     |  
            | a a         p   a     n r     s |   n     |  
            | l m   h i   p   r m m i i s   p | e u s   | r
            | p d a p a p c x m i 6 o s 3   a | a s l   | e
            | h 6 r p 6 p 6 8 6 p 8 s c 9 s r | p e o   | p
            | a 4 m a 4 c 4 6 4 s k 2 v 0 h c | i d t   | o
------------+---------------------------------+---------+-------
[M]2.18-r1  | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o ~ ~ ~ | 0 # 2.2 | gentoo
[M]2.19-r1  | + + + + + + + + + ~ + o o + + + | 0 #     | gentoo
[M]2.20-r2  | + + + - + + + + + ~ + o o + + + | 4 #     | gentoo
[M]2.21-r2  | + + + + + + + + + ~ + o o + + + | 4 #     | gentoo
[M]2.22-r4  | + + + + + + + + + ~ + o o + + + | 4 o     | gentoo
[M]2.23-r4  | + + + + + + + + + ~ ~ o o ~ ~ + | 5 o     | gentoo
[M]2.24-r4  | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o ~ ~ ~ | 5 #     | gentoo
   2.25-r9  | + + + + + + + + ~ ~ ~ o o ~ ~ + | 5 o     | gentoo
   2.25-r10 | o o o o o o o o o o o o o o o o | 5 #     | gentoo
   2.26-r3  | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o ~ ~ ~ | 6 o     | gentoo
   2.26-r4  | o o o o o o o o o o o o o o o o | 6 #     | gentoo
[I]2.26-r4  | ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o o ~ ~ ~ | 6 o     | pmaci 

Pmaci ist the local overlay, where I put the devurandom-overlay ebuilds
Comment 10 Ulenrich 2017-12-23 09:27:41 UTC
I meant: Surely I did try the newest Gentoo version first! As you see I was so desperate to try the newest glibc-2.26-r4 patchlevel-5 by keywording it in my local overlay. But only the non-beta final ogdi release from devurandom-overlay helped.
Comment 11 Amy Liffey gentoo-dev 2017-12-23 10:26:57 UTC
Since the tree ebuild is almost identical to the one in devurandom overlay.

Can you be more specific and submit all the logs?
Comment 12 MarisN 2018-01-12 08:57:12 UTC
(In reply to Amy Liffey from comment #11)
> Since the tree ebuild is almost identical to the one in devurandom overlay.
> 
> Can you be more specific and submit all the logs?

The difference is in a patch addressing rpc.h issue: https://github.com/devurandom/gentoo-overlay/blob/master/sci-libs/ogdi/files/ogdi-3.2.0-rpc.patch

This bug depends on Bug 639112 (OGDI version bump + rpc.h patch).
Comment 13 Attila Tóth 2018-01-20 01:33:00 UTC
In my case gdal needs libtirpc treatment like this:
        if use ogdi; then
                tc-export PKG_CONFIG
                append-cflags $(${PKG_CONFIG} --cflags libtirpc)
                append-cxxflags $(${PKG_CONFIG} --cflags libtirpc)
        fi
in src_configure()
Comment 14 Andreas K. Hüttel gentoo-dev 2018-04-22 14:43:43 UTC
Looks like this is fixed in ogdi-3.2.0.